Module java.compiler
Package javax.lang.model.element

## Interface ModuleElement.UsesDirective

All Superinterfaces:
  `ModuleElement.Directive`

Enclosing interface:
  ModuleElement

    public static interface ModuleElement.UsesDirective
    extends ModuleElement.Directive

A reference to a service used by a module.

Since:
  9

### Method Summary

All Methods Instance Methods Abstract Methods
`TypeElement` `getService()` Returns the service that is used.

### Methods declared in interface javax.lang.model.element.ModuleElement.Directive

`accept, getKind`

### Method Detail

#### getService

    TypeElement getService()

Returns the service that is used.

Returns:
  the service that is used